API e desenvolvedores

Add media to variant

post/v1/products/{product_id}/variants/{variant_id}/media

Add media (image, video, etc.) to a product variant.

Exemplo

curl -X POST "https://api.ya.onl/v1/products/{product_id}/variants/{variant_id}/media" \
  -H "X-API-Key: yv_live_v1_…" \
  -H "Content-Type: application/json" \
  -d '{"url":"…"}'

Parâmetros

product_idintegerpathobrigatório

Product identifier

variant_idintegerpathobrigatório

Variant identifier

Corpo da requisição

titlestring | null

Media title or alt text

urlstringobrigatório

Public URL of the media file

Respostas

201
Successful Response
401
Invalid or missing API key
403
API key lacks the products:write scope
404
Variant not found
422
Validation Error
429
Rate limit exceeded
Precisa de ajuda?